Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ha.framework.server.util
Class PingJndi

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.ha.framework.server.util.PingJndi

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, PingJndiMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class PingJndi
extends org.jboss.system.ServiceMBeanSupport
implements PingJndiMBean

A utility MBean that can be used as the trigger target of the TopologyMonitorService to probe the state of JNDI on the cluster nodes.

Version:
  $Revision: 1.3 $
Author:
  Scott.Stark@jboss.org

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`PingJndi()`

Method Summary
`String[]` | `getLookupNames()` Get the names of JNDI bindings that should be queried on each host
`String` | `getProviderURLPattern()` Get the Context.PROVIDER_URL regular expression.
`void` | `membershipChanged(ArrayList removed, ArrayList added, ArrayList members, String logCategoryName)` The TopologyMonitorService trigger callback operation.
`void` | `setLookupNames(String[] names)` Set the names of JNDI bindings that should be queried on each host
`void` | `setProviderURLPattern(String regex)` Set the regular expression containing the hostname/IP address of the JNDI provider.

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, startService, stop, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PingJndi

    public PingJndi()

Method Detail

### getLookupNames

    public String[] getLookupNames()

  Get the names of JNDI bindings that should be queried on each host

  Specified by:
    `getLookupNames` in interface `PingJndiMBean`
  Returns:
    the array of target names to test

### setLookupNames

    public void setLookupNames(String[] names)

  Set the names of JNDI bindings that should be queried on each host

  Specified by:
    `setLookupNames` in interface `PingJndiMBean`
  Parameters:
    `names` -

### getProviderURLPattern

    public String getProviderURLPattern()

  Get the Context.PROVIDER_URL regular expression.

  Specified by:
    `getProviderURLPattern` in interface `PingJndiMBean`
  Returns:
    the regular expression containing the host, for example 'jnp://(host):1099/'

### setProviderURLPattern

    public void setProviderURLPattern(String regex)

  Set the regular expression containing the hostname/IP address of the JNDI provider. This expression is used to build the JNDI Context.PROVIDER_URL for each node in the cluster. The expression should contain a "(host)" component that will be replaced with the cluster node hostname.

  Specified by:
    `setProviderURLPattern` in interface `PingJndiMBean`
  Parameters:
    `regex` - the regular expression containing the host, for example 'jnp://(host):1099/'

### membershipChanged

    public void membershipChanged(ArrayList removed,
                                  ArrayList added,
                                  ArrayList members,
                                  String logCategoryName)

  The TopologyMonitorService trigger callback operation.

  Specified by:
    `membershipChanged` in interface `PingJndiMBean`
  Parameters:
    `removed` - ArrayList of nodes that were removed
    `added` - ArrayList of nodes that were added
    `members` - ArrayList of nodes currently in the cluster
    `logCategoryName` - the log4j category name used by the TopologyMonitorService. This is used for logging to integrate with the TopologyMonitorService output.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.